# activate conda environment
conda activate climax

# move to project repository
cd ~/git/climax

# wet day thresholds to test
WET_DAY_THRESHOLDS=(0, 0.5, 1, 2, 3, 5)

for w in ${WET_DAY_THRESHOLDS[@]}; do
    # change wet day threshold in configuration
    sed -i "s/min_amount\s*=.*/min_amount=$w)/" ./climax/main/config.py
    
    # model training
    python climax/main/downscale_train.py

    # model inference
    python climax/main/downscale_infer.py
done
